[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]


This has been bugging me for a while, but with linux 2.4.0 being
"official", I'm wondering about gcc versions. The recommended compiler
for the kernel is, AFAIK, egcs 1.1.2 (gcc 2.91.66?). There's a warning
in Documentation/Changes specifically for 2.95-derived compilers...the
only recent i386 gcc in debian is 2.95.2.

In short, is there a summary somewhere of the various gcc branches?
Which one should be used for kernel compiles, and if it's not 2.95.2,
what's the "right" way to make a kernel in debian? Why the discrepancy?


Reply to: